package cn.com.countrygarden.bi.main.dto.wcx;

import java.util.Date;

/**
 * @author feng
 */
public class WcxSuggestDto extends WcxBaseDto {
    private String suggestId;
    private String suggestTitle;
    private String suggestContent;
    private String userId;
    private Date createDate;
    private Integer closeStatus;
    private Integer state;
    private Integer modStatus;
    private String modBy;
    private Date modTime;
    private Integer replyNumber;
    //参数
    private  String queryState;
    private String newOrHot;

    public String getQueryState() {
        return queryState;
    }

    public void setQueryState(String queryState) {
        this.queryState = queryState;
    }

    public String getNewOrHot() {
        return newOrHot;
    }

    public void setNewOrHot(String newOrHot) {
        this.newOrHot = newOrHot;
    }

    public String getSuggestId() {
        return suggestId;
    }

    public void setSuggestId(String suggestId) {
        this.suggestId = suggestId;
    }

    public String getSuggestTitle() {
        return suggestTitle;
    }

    public void setSuggestTitle(String suggestTitle) {
        this.suggestTitle = suggestTitle;
    }

    public String getSuggestContent() {
        return suggestContent;
    }

    public void setSuggestContent(String suggestContent) {
        this.suggestContent = suggestContent;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCloseStatus() {
        return closeStatus;
    }

    public void setCloseStatus(Integer closeStatus) {
        this.closeStatus = closeStatus;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Integer getModStatus() {
        return modStatus;
    }

    public void setModStatus(Integer modStatus) {
        this.modStatus = modStatus;
    }

    public String getModBy() {
        return modBy;
    }

    public void setModBy(String modBy) {
        this.modBy = modBy;
    }

    public Date getModTime() {
        return modTime;
    }

    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    public Integer getReplyNumber() {
        return replyNumber;
    }

    public void setReplyNumber(Integer replyNumber) {
        this.replyNumber = replyNumber;
    }
}
